Bug 459718 - Cannot join Windows 2003 domain
Cannot join Windows 2003 domain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.3
All Linux
urgent Severity high
: rc
: ---
Assigned To: Simo Sorce
: ZStream
Depends On: 459304
Blocks: 480926
  Show dependency treegraph
 
Reported: 2008-08-21 11:18 EDT by Simo Sorce
Modified: 2014-09-22 07:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:47:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2008-08-21 11:18:08 EDT
+++ This bug was initially created as a clone of Bug #459304 +++

Description of problem:
Using Samba included with RHEL 4.7, I cannot join any machines to our domain using net rpc join.

Version-Release number of selected component (if applicable):
samba-3.0.28-0.el4.9

How reproducible:
Always

Steps to Reproduce:
1. Set up RHEL 4.7
2. Set up smb.conf to use DOMAIN authentication (see attached config file)
3. Attempt to join domain with 'net rpc join -U Administrator -w DOMAINNAME'
  
Actual results:
Failure -- NT_STATUS_UNSUCCESSFUL.  -d 4 output shows:

2008/08/15 11:42:37, 3] libsmb/trusts_util.c:just_change_the_password(57)
  just_change_the_password: unable to setup creds (NT_STATUS_NO_TRUST_SAM_ACCOUNT)!
[2008/08/15 11:42:37, 1] utils/net_rpc.c:run_rpc_command(170)
  rpc command function failed! (NT_STATUS_NO_TRUST_SAM_ACCOUNT)
Connection failed: NT_STATUS_UNSUCCESSFUL

Expected results:
A successful join.

Additional info:
If I downgrade to samba-3.0.25b-1.el4_6.5 (included with RHEL 4.6), everything works perfectly.  I will attach a -d 4 dump of the join attempt.  In addition, see this thread:

  http://lists.samba.org/archive/samba/2008-August/142921.html

I have verified that there were no other objects in AD that might have conflicting names.

I am currently sticking with the older version of Samba to retain functionality.

--- Additional comment from rvandolson@esri.com on 2008-08-15 17:41:40 EDT ---

smb.conf:

[global]
  workgroup = DOMAIN
  netbios name = RHEL47TEST
  security = DOMAIN
  log file = /var/log/samba/%m.log
  max log size = 500
  wins server = 10.1.1.1
  dns proxy = no
  log level = 10
  password server = *
  #username map = /etc/samba/username.map
  #log level = 0
  socket options = TCP_NODELAY

--- Additional comment from rvandolson@esri.com on 2008-08-15 17:46:57 EDT ---

I have opened SR #1850772 for this issue as well.

--- Additional comment from gdeschner@redhat.com on 2008-08-21 11:10:13 EDT ---

This issue has already been fixed upstream (http://git.samba.org/?p=samba.git;a=commitdiff;h=d29db976dcffef772044b1e5246ec6715d6afbbb), if that is an option for you, you can workaround it if you call:

net rpc join -U Administrator%password -w DOMAINNAME
Comment 11 errata-xmlrpc 2009-01-20 16:47:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0180.html

Note You need to log in before you can comment on or make changes to this bug.